[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# CallVoidMethod

Call an object method

## Declaration

Source position: objects.pp line 597

`function CallVoidMethod(`
`Method: CodePointer;`
`Obj: pointer`
`):pointer;`

## Description

CallVoidMethod calls the method with address Method for instance Obj. It returns a pointer to the instance.

## Errors

If the method expects parameters, the stack may become corrupted.

## See also

CallPointerMethod |  | Call a method with a single pointer argument
CallVoidLocal |  | Call a local nested procedure.
CallPointerLocal |  | Call a local nested function with a pointer argument
CallVoidMethodLocal |  | Call a local procedure of a method
CallPointerMethodLocal |  | Call a local procedure of a method with a pointer argument
CallVoidConstructor |  | Call a constructor with no arguments
CallPointerConstructor |  | Call a constructor with a pointer argument.